package rd.dao.mapper.course;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import rd.data.db.CourseScheduleWithCourseIdName;
import rd.data.db.table.Course;
import rd.data.db.table.CourseTeacher;
import rd.data.db.table.TeacherInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CourseTeacherMapper extends BaseMapper<CourseTeacher> {
    List<CourseScheduleWithCourseIdName> getAllCourseScheduleForTeacher(@Param("teacher") Long teacher, @Param("term") String term);

    List<TeacherInfo> getCourseAllTeacherInfo(@Param("course") Long course);

    List<Course> getCourseForTeacher(@Param("teacher") Long teacher);

    int insertBatchSomeColumn(List<CourseTeacher> entityList);
}
